import React from 'react';

type Props = {
  size: number | string;
  color: string;
};

const Pencil = ({ size, color }: Props) => {
  return (
    <svg xmlns="http://www.w3.org/2000/svg" fill={color} width={size} height={size} viewBox="0 0 16 16">
      <path d="M13.5 0c1.381 0 2.5 1.119 2.5 2.5 0 0.563-0.186 1.082-0.5 1.5l-1 1-3.5-3.5 1-1c0.418-0.314 0.937-0.5 1.5-0.5zM1 11.5l-1 4.5 4.5-1 9.25-9.25-3.5-3.5-9.25 9.25zM11.181 5.681l-7 7-0.862-0.862 7-7 0.862 0.862z" />
    </svg>
  );
};

Pencil.defaultProps = {
  size: 16,
  color: '#000',
};

export default Pencil;
